org.eclipse.jetty.util

## Class QuotedStringTokenizer

- java.lang.Object
- - java.util.StringTokenizer
  - - org.eclipse.jetty.util.QuotedStringTokenizer

- All Implemented Interfaces:
    java.util.Enumeration<java.lang.Object>

      public class QuotedStringTokenizer
      extends java.util.StringTokenizer

  StringTokenizer with Quoting support. This class is a copy of the java.util.StringTokenizer API and the behaviour is the same, except that single and double quoted string values are recognised. Delimiters within quotes are not considered delimiters. Quotes can be escaped with '\'.
  See Also:
    `StringTokenizer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuotedStringTokenizer(java.lang.String str)`
    `QuotedStringTokenizer(java.lang.String str, java.lang.String delim)`
    `QuotedStringTokenizer(java.lang.String str, java.lang.String delim, boolean returnDelimiters)`
    `QuotedStringTokenizer(java.lang.String str, java.lang.String delim, boolean returnDelimiters, boolean returnQuotes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countTokens()` Not implemented.
    `boolean` | `getDouble()`
    `boolean` | `getSingle()`
    `boolean` | `hasMoreElements()`
    `boolean` | `hasMoreTokens()`
    `java.lang.Object` | `nextElement()`
    `java.lang.String` | `nextToken()`
    `java.lang.String` | `nextToken(java.lang.String delim)`
    `static void` | `quote(java.lang.Appendable buffer, java.lang.String input)` Quote a string into an Appendable.
    `static java.lang.String` | `quote(java.lang.String s)` Quote a string.
    `static boolean` | `quoteIfNeeded(java.lang.Appendable buf, java.lang.String s, java.lang.String delim)` Quote a string into a StringBuffer only if needed.
    `static java.lang.String` | `quoteIfNeeded(java.lang.String s, java.lang.String delim)` Quote a string.
    `void` | `setDouble(boolean d)`
    `void` | `setSingle(boolean single)`
    `static java.lang.String` | `unquote(java.lang.String s)` Unquote a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(java.lang.String str,
                               java.lang.String delim,
                               boolean returnDelimiters,
                               boolean returnQuotes)

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(java.lang.String str,
                               java.lang.String delim,
                               boolean returnDelimiters)

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(java.lang.String str,
                               java.lang.String delim)

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(java.lang.String str)

  - ### Method Detail

    - #### hasMoreTokens

          public boolean hasMoreTokens()

      Overrides:
        `hasMoreTokens` in class `java.util.StringTokenizer`

    - #### nextToken

          public java.lang.String nextToken()
                                     throws java.util.NoSuchElementException

      Overrides:
        `nextToken` in class `java.util.StringTokenizer`
      Throws:
        `java.util.NoSuchElementException`

    - #### nextToken

          public java.lang.String nextToken(java.lang.String delim)
                                     throws java.util.NoSuchElementException

      Overrides:
        `nextToken` in class `java.util.StringTokenizer`
      Throws:
        `java.util.NoSuchElementException`

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration<java.lang.Object>`
      Overrides:
        `hasMoreElements` in class `java.util.StringTokenizer`

    - #### nextElement

          public java.lang.Object nextElement()
                                       throws java.util.NoSuchElementException

      Specified by:
        `nextElement` in interface `java.util.Enumeration<java.lang.Object>`
      Overrides:
        `nextElement` in class `java.util.StringTokenizer`
      Throws:
        `java.util.NoSuchElementException`

    - #### countTokens

          public int countTokens()

      Not implemented.
      Overrides:
        `countTokens` in class `java.util.StringTokenizer`

    - #### quoteIfNeeded

          public static java.lang.String quoteIfNeeded(java.lang.String s,
                                       java.lang.String delim)

      Quote a string. The string is quoted only if quoting is required due to embedded delimiters, quote characters or the empty string.
      Parameters:
        `s` - The string to quote.
        `delim` - the delimiter to use to quote the string
      Returns:
        quoted string

    - #### quote

          public static java.lang.String quote(java.lang.String s)

      Quote a string. The string is quoted only if quoting is required due to embeded delimiters, quote characters or the empty string.
      Parameters:
        `s` - The string to quote.
      Returns:
        quoted string

    - #### quote

          public static void quote(java.lang.Appendable buffer,
                   java.lang.String input)

      Quote a string into an Appendable. The characters ", \, \n, \r, \t, \f and \b are escaped
      Parameters:
        `buffer` - The Appendable
        `input` - The String to quote.

    - #### quoteIfNeeded

          public static boolean quoteIfNeeded(java.lang.Appendable buf,
                              java.lang.String s,
                              java.lang.String delim)

      Quote a string into a StringBuffer only if needed. Quotes are forced if any delim characters are present.
      Parameters:
        `buf` - The StringBuffer
        `s` - The String to quote.
        `delim` - String of characters that must be quoted.
      Returns:
        true if quoted;

    - #### unquote

          public static java.lang.String unquote(java.lang.String s)

      Unquote a string.
      Parameters:
        `s` - The string to unquote.
      Returns:
        quoted string

    - #### getDouble

          public boolean getDouble()

      Returns:
        handle double quotes if true

    - #### setDouble

          public void setDouble(boolean d)

      Parameters:
        `d` - handle double quotes if true

    - #### getSingle

          public boolean getSingle()

      Returns:
        handle single quotes if true

    - #### setSingle

          public void setSingle(boolean single)

      Parameters:
        `single` - handle single quotes if true

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.